Add Beneficiary Account

Add new beneficiary account

post
/v1/beneficiaries/{beneficiaryId}/accounts
Authorizations
Path parameters
beneficiaryIdstringRequired
Body
accountNumberstringRequired

The account number of the beneficiary

accountNamestringRequired

The account name of the beneficiary account

currencystring · enumRequired

The currency of the beneficiary account

Possible values:
ibanstringOptional

The IBAN of the beneficiary account

sortCodestringRequired

The sort code of the beneficiary account

swiftBicstringOptional

The SWIFT BIC of the beneficiary account

routingNumberstringOptional

The routing number of the beneficiary account

countrystringOptional

The country of the beneficiary account

bankNamestringOptional

The bank name of the beneficiary account

settlementMethodstringRequired

The settlement method of the beneficiary account

accountCategorystringOptional

The account category of the beneficiary account

Responses
chevron-right
200

The created beneficiary account

application/json
idstringRequired

Unique account identifier

bankNamestringOptional

Bank name

accountNamestringRequired

Account holder name

accountNumberstringOptional

Account number

countrystringOptional

Country

swiftBicstringOptional

SWIFT/BIC code

routingNumberstringOptional

Routing number

ibanstringOptional

IBAN

sortCodestringOptional

Sort code

currencystring · enumRequired

Account currency

Possible values:
typestring · enumRequired

Account type

Possible values:
settlementMethodstring · enumOptional

Settlement method

Possible values:
accountCategorystring · enumOptional

Account category

Possible values:
externalIdstringOptional

External identifier

extraFieldsobjectOptional

Extra fields

createdAtstring · date-timeRequired

Account creation timestamp

updatedAtstring · date-timeRequired

Account last update timestamp

post
/v1/beneficiaries/{beneficiaryId}/accounts
200

The created beneficiary account

Last updated